Reset the project credentials
- Base URL
-
https://api.elastic-cloud.com
-
POST
/api/v1/serverless/projects/vectordb/{id}/_reset-credentials
Auth
Retrieve new project credentials, invalidating the previous ones.
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
The ID of the project
-
ETag value fetched in a previous GET project request. Used to prevent simultaneous updates
The new project credentials.
application/json
-
username
string
required
-
Basic auth username that can be used to access the Elasticsearch API.
-
password
string · format: password
required
-
Basic auth password that can be used to access the Elasticsearch API.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.